Bug 1955502 - [4.7] openshift-apiserver degraded after installing Stackrox [SCC]
Summary: [4.7] openshift-apiserver degraded after installing Stackrox [SCC]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Standa Laznicka
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1942725
Blocks: 1955506 1960680
TreeView+ depends on / blocked
 
Reported: 2021-04-30 09:23 UTC by OpenShift BugZilla Robot
Modified: 2021-08-20 12:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-19 15:17:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 449 0 None open [release-4.7] Bug 1955502: explicitly allow apiserver pods to write to their root FS 2021-05-06 10:15:55 UTC
Red Hat Knowledge Base (Solution) 5911951 0 None None None 2021-05-11 16:08:06 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:17:16 UTC

Comment 2 Xingxing Xia 2021-05-07 08:53:09 UTC
Tested in 4.7.0-0.nightly-2021-05-07-024046:
After creating above collector SCC and deleting OAS pod, new pod can be Running:
$ oc get po -n openshift-apiserver
NAME                        READY   STATUS    RESTARTS   AGE     IP            NODE                                            NOMINATED NODE   READINESS GATES   REVISION
apiserver-8bbc4c89d-srmrv   2/2     Running   0          2m35s   10.129.0.11   ip-10-0-54-145.us-gov-west-1.compute.internal   <none>           <none>            2
...<snipped>...

New pod is assigned same SCC as the deleted pod, which matches container readOnlyRootFilesystem field set as false, as same as the pod before deleted, which is also as same as per the PR sets:

$ oc get po -n openshift-apiserver apiserver-8bbc4c89d-srmrv -o yaml | grep " openshift.io/scc"
    openshift.io/scc: node-exporter
$ oc get po -n openshift-apiserver apiserver-8bbc4c89d-srmrv -o yaml | grep " readOnlyRootFilesystem"
      readOnlyRootFilesystem: false

Operator is not Degraded:
$ oc get co openshift-apiserver
NAME                  VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
openshift-apiserver   4.7.0-0.nightly-2021-05-07-024046   True        False         False      108m

Comment 5 errata-xmlrpc 2021-05-19 15:17:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.